ALTER TABLE AWIS.ATUTVFEEDBACK
 DROP PRIMARY KEY CASCADE;
DROP TABLE AWIS.ATUTVFEEDBACK CASCADE CONSTRAINTS;

CREATE TABLE AWIS.ATUTVFEEDBACK
(
  TVF_KEY     NUMBER                            NOT NULL,
  TVF_ATT_ID  NUMBER                            NOT NULL,
  TVF_TEXT    VARCHAR2(4000 BYTE),
  TVF_USER    VARCHAR2(50 BYTE),
  TVF_DAT     DATE
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX AWIS.ATUTVFEEDBACK_PK ON AWIS.ATUTVFEEDBACK
(TVF_KEY)
NOLOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE OR REPLACE TRIGGER AWIS.trg_seq_tvf_key
BEFORE INSERT
ON AWIS.ATUTVFEEDBACK REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
cursor cur_id is select seq_tvf_key.nextval from dual;
BEGIN
  open cur_id;
  fetch cur_id into :new.tvf_key;
  close cur_id;
END ;
/


ALTER TABLE AWIS.ATUTVFEEDBACK ADD (
  CONSTRAINT ATUTVFEEDBACK_PK
 PRIMARY KEY
 (TVF_KEY)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));
